Bug 127267 - switchdesk can set wrong desktop preference
switchdesk can set wrong desktop preference
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: switchdesk (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-05 11:46 EDT by Need Real Name
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-16 05:28:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2004-07-05 11:46:36 EDT
Description of problem: 
If a user runs switchdesk, the dialog window opens with several 
radio buttons; the pre-selected default is GNOME.  Clicking 
"OK" (without touching anything else) should cause it to write an 
~/.Xclients-default which starts GNOME; instead, it writes an 
~/.Xclients-default which starts KDE. 
 
Version-Release number of selected component (if applicable): 
4.0.3-1 
 
How reproducible: 
100% 
 
Steps to Reproduce: 
1. Run switchdesk 
2. Click OK 
3. cat ~/.Xclients-default 
   
Actual results: 
#! /bin/bash 
# Created by Red Hat Desktop Switcher 
                                                                                 
WMPATH="/usr/bin /opt/bin /usr/local/bin /usr/X11R6/bin" 
                                                                                 
for wm in $WMPATH ; do 
        [ -x $wm/startkde ] && exec $wm/startkde 
done 
                                                                                 
exit 1 
 
Expected results: 
# Created by Red Hat Desktop Switcher 
exec gnome-session 
 
(I don't know why a GNOME session doesn't get the whole "WMPATH" 
treatment as do other desktops, but that's not relevant here.)
Comment 1 Ngo Than 2004-09-16 05:28:31 EDT
it's fixed in 4.0.6, which is available in rawhide.

Note You need to log in before you can comment on or make changes to this bug.